Subject: Re: linux-next: manual merge of the tip tree with the bpf-next tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Jun 2018 14:41:28 +1000

Hi all,

On Mon, 7 May 2018 10:15:45 +0200 Daniel Borkmann <[email-masked]> wrote:
>
> On 05/07/2018 06:10 AM, Stephen Rothwell wrote:
> > On Mon, 7 May 2018 12:09:09 +1000 Stephen Rothwell <[email-masked]> wrote:  
> >>
> >> Today's linux-next merge of the tip tree got a conflict in:
> >>
> >>   arch/x86/net/bpf_jit_comp.c
> >>
> >> between commit:
> >>
> >>   e782bdcf58c5 ("bpf, x64: remove ld_abs/ld_ind")
> >>
> >> from the bpf-next tree and commit:
> >>
> >>   5f26c50143f5 ("x86/bpf: Clean up non-standard comments, to make the code more readable")
> >>
> >> from the tip tree.
> >>
> >> I fixed it up (the former commit removed some code modified by the latter,
> >> so I just removed it) and can carry the fix as necessary. This is now
> >> fixed as far as linux-next is concerned, but any non trivial conflicts
> >> should be mentioned to your upstream maintainer when your tree is
> >> submitted for merging.  You may also want to consider cooperating with
> >> the maintainer of the conflicting tree to minimise any particularly
> >> complex conflicts.  
> > 
> > Actually the tip tree commit has been added to the bpf-next tree as a
> > different commit, so dropping it from the tip tree will clean this up.  
> 
> Yep, it's been cherry-picked into bpf-next to avoid merge conflicts with
> ongoing work.

This is now a conflict between the net-next tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell